Skip to main content
POST
/
v1
/
engagement-account-groupings
/
{engagementAccountGroupingId}
/
export
Export Engagement Account Grouping
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/engagement-account-groupings/{engagementAccountGroupingId}/export \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": {},
  "entityType": "ORGANIZATION",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

engagementAccountGroupingId
string
required

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
object

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE
error
string

The reason why the async job failed.